LimeSurvey upgrade from version 1.87 to 1.92

More
2 months 1 week ago #179180 by Damodar
Hi Everyone,

We have very old 2003 server with lime survey version 1.87 with lots of surveys and data and we are still using it. Since this server has been prepared very very long ago, upgradation is giving us lots of issues. First i am trying to upgrade to version 1.92.
During the upgradation process, DB upgrade scripts are running and at the end, i am getting OK, and below i am also getting server is not available due to maintenance problems.

Any suggestions will be highly appreciated. I know this server and version is very old, but we have to upgrade the server to bring it to current version interms of server OS as well as Limesurvey version.
Please suggest.

Thank you

Damo

Please Log in or Create an account to join the conversation.

LimeSurvey Partners
More
2 months 1 week ago #179189 by DenisChenu
I update a pre 1.87 version (something like a 1.81 version) to 2.6lts and don't have issue.

I only have issue upgrading from 2.73 to last 3.X see bugs.limesurvey.org/view.php?id=14409

But : really : we can help you without any information, try to set debug to 2 for starting

Assistance on LimeSurvey forum and LimeSurvey core development are on my free time.
I'm not a LimeSurvey GmbH member, professional service on demand (or search sondages pro).
An error happen ? Before make a new topic : remind the Debug mode .

Please Log in or Create an account to join the conversation.

More
2 months 1 week ago #179192 by Damodar
Hello Denis,

Thank you for your reply. I changed the Debug to 2 in config.php. Now where can i see the logs. Sorry for lame question. I am new to this.

Damo

Please Log in or Create an account to join the conversation.

More
2 months 1 week ago #179216 by DenisChenu
It must show on HTML page :)

Assistance on LimeSurvey forum and LimeSurvey core development are on my free time.
I'm not a LimeSurvey GmbH member, professional service on demand (or search sondages pro).
An error happen ? Before make a new topic : remind the Debug mode .

Please Log in or Create an account to join the conversation.

More
2 months 1 week ago #179265 by Damodar
Thank you for your reply. i am attching the output screen shot.
There is 1 Notice at the top of the browser and at the bottom of the broser, there is OK message and "The server is temporarily unable to service your request due to maintenance downtime or capacity problems. Please try again later.
"
Please suggest.

Damo
Attachments:

Please Log in or Create an account to join the conversation.

More
2 months 1 week ago #179266 by DenisChenu
No idea here, and clealy 1.92 is to old …

Try with 2.6lts or github.com/SondagesPro/LimeSurvey-SondagesPro

Assistance on LimeSurvey forum and LimeSurvey core development are on my free time.
I'm not a LimeSurvey GmbH member, professional service on demand (or search sondages pro).
An error happen ? Before make a new topic : remind the Debug mode .

Please Log in or Create an account to join the conversation.

More
2 months 1 week ago #179294 by Damodar
Hi Denis,

I will try today. If possible can you provide me the steps for upgradation process on windows which you have followed to upgrade your server? Appreciate your help.

Damo

Please Log in or Create an account to join the conversation.

More
2 months 1 week ago #179322 by DenisChenu
I just
1. rename current directory
2. Place files from github.com/SondagesPro/LimeSurvey-SondagesPro#installation in the same directory
3. Go to home page, choose same DB during installation
4. Wait for DB update
5. Copy upload files from previous directoy to the new one (except template)

Assistance on LimeSurvey forum and LimeSurvey core development are on my free time.
I'm not a LimeSurvey GmbH member, professional service on demand (or search sondages pro).
An error happen ? Before make a new topic : remind the Debug mode .

Please Log in or Create an account to join the conversation.

Start now!

Just create your account and start using Limesurvey today.

Register now
Join our Newsletter!